libssh2_session_get_blocking(3)

NAME
libssh2_session_get_blocking - evaluate blocking mode on session

SYNOPSIS
#include <libssh2.h>
int
libssh2_session_get_blocking(LIBSSH2_SESSION *session);

DESCRIPTION
Returns 0 if the state of the session has previously be set to non-blocking and it returns 1 if the state was set to blocking.

RETURN VALUE
See description.

SEE ALSO
libssh2_session_set_blocking(3)